Subject: bug#1467: 23.0.60; Cannot "emacsclient -c" to daemon started from tty1

From: Андрей Парамонов <[email-masked]>
Date: Mon, 16 Feb 2009 21:48:35 +0300

Hello maintainers!

I'm still experiencing the problem, even with latest snapshots. But
today, instead of killing emacs daemon which didn't respond, I've
tried (with almost no hope) to "wake it up" via SIGHUP... and it
worked! After that I managed to connect to the running daemon. It's
worth noting that the trick works only if SIGHUP is sent from under
the same X session I'd later be connecting from with emacsclient.

As I told in the first message, I'm using Debian emacs-snapshot
package. Chong Yidong claims he cannot reproduce the problem. Do you
think the problem may be connected with the Debian packaging and not
Emacs itself? If so, what additional info should I provide?

Andrey